%define name fluidsynth
%define version 1.1.9
%define release 9

%define _prefix /usr

Summary: A real-time software synthesizer based on SoundFont 2 specifications.
Name: fluidsynth
Version: 1.1.9
Release: 9.rncbc.suse
License: LGPLv2+
Group:	 Productivity/Multimedia/Sound/Midi
Source:	 %{name}-%{version}.tar.gz
Patch0:	 %{name}-%{version}-cmake_no_lib_suffix-1.diff
URL:	 http://www.fluidsynth.org/
#Packager: rncbc.org

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	automake >= 1.6
BuildRequires:	alsa-devel
BuildRequires:	libjack-devel
BuildRequires:	ladspa-devel
BuildRequires:	libsndfile-devel
%if %{defined fedora}
BuildRequires:	libdb-devel
%else
BuildRequires:	db-devel
%endif
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig

%description
FluidSynth is a real-time software synthesizer based on the SoundFont 2 
specifications. It is a "software synthesizer". FluidSynth can read MIDI events
from the MIDI input device and render them to the audio device. It features 
real-time effect modulation using SoundFont 2.01 modulators, and a built-in
command line shell. It can also play MIDI files.

Note: FluidSynth was previously called IIWU Synth.


%package -n lib%{name}1
Summary:	Shared library package for FluidSynth
Group:		System/Libraries
Provides:	%{name}-libs = %{version}-%{release}
Obsoletes:	%{name}-libs < %{version}-%{release}


%description -n lib%{name}1
FluidSynth is a real-time software synthesizer based on the SoundFont
2 specifications. FluidSynth can read MIDI events from MIDI input
devices and render them to audio devices using SoundFont files to
define the instrument sounds. It can also play MIDI files and supports
real time effect control via SoundFont modulators and MIDI
controls. FluidSynth can be interfaced to other programs in different
ways, including linking as a shared library.

This package contains the run-time shared libraries for FluidSynth.


%package -n lib%{name}-devel
Summary:	Development package for the fluidsynth library
Group:		Development/Libraries/C and C++
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}
Requires:	lib%{name}1 = %{version}-%{release}
Requires:	pkgconfig


%description -n lib%{name}-devel
FluidSynth is a real-time software synthesizer based on the SoundFont
2 specifications. FluidSynth can read MIDI events from MIDI input
devices and render them to audio devices using SoundFont files to
define the instrument sounds. It can also play MIDI files and supports
real time effect control via SoundFont modulators and MIDI
controls. FluidSynth can be interfaced to other programs in different
ways, including linking as a shared library.

This package contains libraries and includes for building applications
with FluidSynth support.


%prep
%setup -q
%patch0
mkdir -p build

%build
cd build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DLIB_INSTALL_DIR=%{_libdir} ..
%__make


%install
cd build
%__make DESTDIR="%{buildroot}" install


%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "/" ] && %__rm -rf "%{buildroot}"


%post -n lib%{name}1 -p /sbin/ldconfig

%postun -n lib%{name}1 -p /sbin/ldconfig


%files
%defattr(-,root,root)
#doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO doc/FluidSynth-LADSPA.pdf
%{_bindir}/*
%{_mandir}/man1/*

%files -n lib%{name}1
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.1*

%files -n lib%{name}-devel
%defattr(-,root,root)
%doc doc/*.c doc/*.txt
#doc doc/api doc/html/*
%{_libdir}/lib%{name}.so
#{_libdir}/lib%{name}.a
#{_libdir}/lib%{name}.la
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h

%changelog
* Thu Jan  4 2018 Rui Nuno Capela <rncbc@users.sourceforge.net> 1.1.9
- Update to 1.1.9 release
* Sat Oct 14 2017 Rui Nuno Capela <rncbc@users.sourceforge.net> 1.1.8
- Update to 1.1.8 release
* Tue Sep  5 2017 Rui Nuno Capela <rncbc@users.sourceforge.net> 1.1.7
- Update to 1.1.7 release
* Sun Aug 19 2012 Rui Nuno Capela <rncbc@users.sourceforge.net> 1.1.6
- Update to 1.1.6 release
* Mon Aug 25 2003 Josh Green <jgreen@users.sourceforge.net>
- Created initial fluidsynth.spec.in
